/*
 * This file is part of DesktopBSD, see the README file.
 *
 * Author: Peter Hofer <ph@desktopbsd.net>
 *			(C) 2004, 2005
 *
 * Copyright: BSD, see the COPYING file included in this distribution
 *
 */

#include <terminaldisplay.h>
#include <terminalformatter.h>
#include <qcolor.h>
#include <qregexp.h>

#include "portauditformatter.h"

PortAuditFormatter::PortAuditFormatter(TerminalDisplay *d, const char *name)
	:	TerminalFormatter(d, name)
{
}

QColor PortAuditFormatter::format(const QString & line) {
	if(line.startsWith("Affected package: "))
		return Qt::red;

	if(line.startsWith("Type of problem: ") || line.startsWith("Reference: "))
		return Qt::darkRed;

	return QColor(0xa0, 0xa0, 0xa0);
}
